cURL
curl --request PUT \
--url https://app.teable.ai/api/admin/setting/set-mail-transport-config \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"notifyMailTransportConfig","transportConfig":{"senderName":"string","sender":"string","host":"string","port":0,"secure":true,"auth":{"user":"string","pass":"string"}}}'{
"transportConfig": {
"sender": "<string>",
"host": "<string>",
"port": 123,
"auth": {
"user": "<string>",
"pass": "<string>"
},
"senderName": "<string>",
"secure": true
}
}admin
Put adminsettingset mail transport config
Set mail transporter
PUT
/
admin
/
setting
/
set-mail-transport-config
cURL
curl --request PUT \
--url https://app.teable.ai/api/admin/setting/set-mail-transport-config \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"notifyMailTransportConfig","transportConfig":{"senderName":"string","sender":"string","host":"string","port":0,"secure":true,"auth":{"user":"string","pass":"string"}}}'{
"transportConfig": {
"sender": "<string>",
"host": "<string>",
"port": 123,
"auth": {
"user": "<string>",
"pass": "<string>"
},
"senderName": "<string>",
"secure": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on March 5, 2026
Was this page helpful?
⌘I

